Skip to navigation

List hotels

Retrieves a list of hotels near a location.

Use case

This endpoint can be used on the back-end by your application to retrieve a list of the hotels near a particular location (please limit your requests to 250 hotels at a time). It supports geographic coordinates, hotel brand keyword, city or code from the destination_lookup endpoint as the destination. It supports the master hotel chain code from the get_hotel_chains_list endpoint for chains. The response contains the location and basic hotel information, including hotel chain, images, distance, neighborhood, sort order, hotel property and room amenity codes.

What’s next?

The list of hotel IDs in the response can be used to pre-populate the request of the get_availability endpoint to get hotel rates and availability.

Path parameters

versionstringRequired

Headers

AuthorizationstringOptional

Request signature for authentication. Format: Signature YOUR_SIGNATURE. Calculated using HMAC-SHA256 with your secret key.

Query parameters

api_keystringOptional

Your public API key. Example: api_key=testkey.

timestampstringOptional

The UNIX (UTC) timestamp created by your application for this request (in seconds). Must be within 2.5 minutes of the current time.

noncestringOptional
A unique cryptographic identifier created by your application to secure the request. Must be 32 characters or less and cannot be reused within 5 minutes.
localestringOptional

The language preference of your user. Valid values: en_US, fr_FR, de_DE, es_ES, it_IT, pt_PT, ja_JP, ko_KR. Default is en_US.

customer_ipstringOptional
The IP address of your user. Allows determination of the user's location for fraud recovery and analytics purposes.
session_idstringOptional
A unique user session identifier created by your application. Do not use the real user's session identifier. Allows identification of all requests throughout a user session for error handling and troubleshooting.
user_agentstringOptional

The user agent (device, application or browser) of your user. Allows retrieval of mobile rates and discounts from some providers. Must be properly encoded. Max 32 characters. Required to get discounted mobile rates.

configuration_idintegerOptional

Configuration ID for proper company settings. Obtain via the get_configurations endpoint.

systemstringOptional

The booking channel. Valid values include: aft, obt, web.

destinationstringOptional

The search destination. Supports geographic coordinates, hotel brand keyword, city or code from the destination_lookup endpoint. Must be percent-encoded.

chainsstringOptional

Filter results to specific hotel chains using the master chain code from get_hotel_chains_list.

checkinstringOptional

The check-in date for the hotel search. Format: YYYY-MM-DD.

hotel_name_keywordstringOptional
Filter results by hotel name keyword.
limitintegerOptional
Maximum number of hotels to return per page. Maximum allowed is 250.
orderstringOptional

Sort order for results. Valid values: name, -preference, distance, price.

pageintegerOptional
Page number for paginated results.
search_radiusintegerOptional
Radius around the destination to search within.
search_radius_unitstringOptional

Unit for search_radius. Valid values: KM (kilometers), MI (miles).

star_rating_filterstringOptional

Comma-separated star ratings to filter by. Example: 4,4.5,5.